<?php
class cCategoria{
	function insertar($nom,$idp,$color,$verped){
		$sql = "INSERT tb_categoria (
			`tb_categoria_nom` ,
			`tb_categoria_idp`,
			`tb_categoria_color`,
			`tb_categoria_verped`			
			)
			VALUES (
			 '$nom',  '$idp','$color','$verped'
			);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "SELECT max(tb_categoria_id) as 'id' from tb_categoria"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrarTodos(){
		$sql="SELECT * 
			FROM tb_categoria
			WHERE tb_categoria_xac='1'
			ORDER BY tb_categoria_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_cat_idp(){
		$sql="SELECT * 
			FROM tb_categoria
			WHERE tb_categoria_xac='1' AND tb_categoria_idp=0
			ORDER BY tb_categoria_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_idp($idp){
		$sql="SELECT * 
			FROM tb_categoria
			WHERE tb_categoria_idp=$idp
				and tb_categoria_xac='1'
			ORDER BY tb_categoria_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
			FROM tb_categoria
			WHERE tb_categoria_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function comprobar_si_existe($nom){
		$sql="SELECT * 
			FROM tb_categoria
			WHERE tb_categoria_nom='$nom'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$nom,$idp,$color, $verped){ 
		$sql = "UPDATE tb_categoria SET  
			`tb_categoria_nom` =  '$nom',
			`tb_categoria_idp` =  '$idp',
			`tb_categoria_color` =  '$color',
			`tb_categoria_verped` =  '$verped'
			WHERE  tb_categoria_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function verifica_categoria_padre($idp){
		$sql = "SELECT * 
				FROM  `tb_categoria` 
				WHERE tb_categoria_idp =$idp";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function verifica_categoria_tabla($id,$tabla){
		$sql = "SELECT * 
				FROM  $tabla 
				WHERE tb_categoria_id =$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_categoria SET
			`tb_categoria_$campo` =  '$valor' 
			WHERE tb_categoria_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function eliminar($id){
		$sql="DELETE FROM tb_categoria WHERE tb_categoria_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>